#
# Makefile	RADIUS authentifications for squid
#
#

BINDIR	= /opt/squid/auth/bin

INCLUDES       = radius.h conf.h

ALL:	squid_rad_auth


attrprint.o: attrprint.c $(INCLUDES)
	$(CC) $(CFLAGS) -c attrprint.c

dict.o: dict.c $(INCLUDES)
	$(CC) $(CFLAGS) -c dict.c

util.o: util.c $(INCLUDES)
	$(CC) $(CFLAGS) -c util.c

squid_rad_auth: squid_rad_auth.o md5.o util.o dict.o attrprint.o log.o
	$(CC) $(LDFLAGS) -o squid_rad_auth squid_rad_auth.o md5.o util.o dict.o attrprint.o \
		log.o $(LIBS)

squid_rad_auth.o: squid_rad_auth.c $(INCLUDES)
	$(CC) $(CFLAGS) -c squid_rad_auth.c

md5.o: md5.c md5.h
	$(CC) $(CFLAGS) -c md5.c

clean:
	rm -f *.o squid_rad_auth

install:
	install -m 755 -s squid_rad_auth $(BINDIR)/squid_rad_auth


