/* Configurations for squid_rad_auth.
 * This is borrowed from the Cistron radiusd-1.5.4.
 *
 * Marc van Selm <selm@cistron.nl>
 */

/* Change this to suit your configuration */
#define SQUID_RAD_CONF		"/opt/squid/auth/etc/squid_rad_auth.conf"

/* The rest of the configs are leftovers from the Cistron radiusd.
 * You are welcome to clean it up.
 */
 
/* Default Database File Names */

#define RADIUS_DIR		"/etc/raddb"
#define RADACCT_DIR		"/var/log/radacct"
#define RADLOG_DIR		"/var/log"

#define RADIUS_DICTIONARY	"dictionary"
#define RADIUS_CLIENTS		"clients"
#define RADIUS_NASLIST		"naslist"
#define RADIUS_USERS		"users"
#define RADIUS_HOLD		"holdusers"
#define RADIUS_LOG		"radius.log"
#define RADIUS_HINTS		"hints"
#define RADIUS_HUNTGROUPS	"huntgroups"

#define RADUTMP			"/var/log/radutmp"
#define RADWTMP			"/var/log/radwtmp"

#define RADIUS_PID		"/var/run/radiusd.pid"

#define CHECKRAD1		"/usr/sbin/checkrad"
#define CHECKRAD2		"/usr/local/sbin/checkrad"

